%define upstream_name Horde_Data
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.4
Release:     	%mkrel 2
Summary:    	Horde Data API
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires:	php-pear-Horde_Browser >= 2.0.0
Requires:	php-pear-Horde_Browser < 3.0.0alpha1
Requires:	php-pear-Horde_Exception >= 2.0.0
Requires:	php-pear-Horde_Exception < 3.0.0alpha1
Requires:	php-pear-Horde_Icalendar >= 2.0.0
Requires:	php-pear-Horde_Icalendar < 3.0.0alpha1
Requires:	php-pear-Horde_Mail >= 2.0.0
Requires:	php-pear-Horde_Mail < 3.0.0alpha1
Requires:	php-pear-Horde_Mime >= 2.0.0
Requires:	php-pear-Horde_Mime < 3.0.0alpha1
Requires:	php-pear-Horde_Translation >= 2.0.0
Requires:	php-pear-Horde_Translation < 3.0.0alpha1
Requires:	php-pear-Horde_Util >= 2.0.0
Requires:	php-pear-Horde_Util < 3.0.0alpha1
BuildArch:  	noarch

%description
This package provides a data import and export API, with backends for:
* CSV
* TSV
* iCalendar
* vCard
* vNote
* vTodo

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Data.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Data.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Data
fi

%files
%doc docs/Horde_Data/*
%{peardir}/*
%{xmldir}/Horde_Data.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-2.mga4
+ Revision: 526582
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 spuhler <spuhler> 2.0.4-1.mga4
+ Revision: 437369
- upgrade to ver. 2.0.5
- update Requires per upstream

* Sun Jan 13 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 376444
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 11 2012 spuhler <spuhler> 1.0.5-1.mga2
+ Revision: 207480
- upgrade to 1.0.5

* Sat Dec 17 2011 spuhler <spuhler> 1.0.4-1.mga2
+ Revision: 183303
- upgrade to 1.0.4

* Sun Nov 06 2011 spuhler <spuhler> 1.0.3-1.mga2
+ Revision: 164043
- upgrade to 1.0.3
- changed Provides: php-pear-Horde_Data to Provides: php-pear-Horde_Data = %%{version}
- imported package php-pear-Horde_Data

